Plank.FileDockItem – plank Reference Manual

# FileDockItem

## Object Hierarchy:

## Description:

public class FileDockItem : DockItem

A dock item for files or folders on the dock.

Folders act like stacks and display the contents of the folder in the popup menu. Files just open the associated file.

Namespace: Plank
Package: plank

## Content:

### Properties:

- public File OwnedFile { get; protected set construct; }

### Creation methods:

- public FileDockItem ()
- public FileDockItem.with_dockitem_file (File file)
- public FileDockItem.with_dockitem_filename (string filename)
- public FileDockItem.with_file (File file)

### Methods:

- protected override void draw_icon (Surface surface)
  Draws the item's icon onto a surface.
- protected override void draw_icon_fast (Surface surface)
  Draws a placeholder icon onto a surface. This method should be considered time-critical! Make sure to only use simple drawing routines, and do not rely on external resources!
- public override ArrayList<MenuItem> get_menu_items ()
  Returns a list of the item's menu items.
- public void launch ()
  Launches the application associated with this item.
- protected override void load_from_launcher ()
  Parses the associated launcher and e.g. sets the icon and text from it.
- protected override AnimationType on_clicked (PopupButton button, ModifierType mod, uint32 event_time)
  Called when an item is clicked on.

### Inherited Members:

All known members inherited from class Plank.DockItem

- @delete
- AverageIconColor
- Count
- CountVisible
- DockItemFilename
- ForcePixbuf
- Icon
- Indicator
- LastPosition
- Launcher

- Position
- Prefs
- Progress
- ProgressVisible
- State
- copy_values_to
- deleted
- draw_icon
- draw_icon_fast

- get_background_surface
- get_foreground_surface
- get_surface
- get_surface_copy
- is_valid
- load_from_launcher
- reset_buffers
- reset_icon_buffer
- unset_move_state

All known members inherited from class Plank.DockElement

- AddTime
- Button
- ClickedAnimation
- Container
- HoveredAnimation
- IsAttached
- IsVisible
- LastActive
- LastClicked
- LastHovered
- LastMove
- LastScrolled
- LastUrgent

- LastValid
- RemoveTime
- ScrolledAnimation
- Text
- accept_drop
- as_uri
- can_accept_drop
- can_be_removed
- clicked
- create_literal_menu_item
- create_literal_menu_item_with_pixbuf
- create_menu_item

- create_menu_item_with_pixbuf
- get_dock
- get_drop_text
- get_menu_items
- hovered
- needs_redraw
- on_clicked
- on_hovered
- on_scrolled
- reset_buffers
- scrolled
- unique_id

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref